/* include/starpu_config.h.  Generated from starpu_config.h.in by configure.  */
/* StarPU --- Runtime system for heterogeneous multicore architectures.
 *
 * Copyright (C) 2009-2012  Université de Bordeaux 1
 * Copyright (C) 2010, 2011, 2012  Centre National de la Recherche Scientifique
 *
 * StarPU is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or (at
 * your option) any later version.
 *
 * StarPU is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See the GNU Lesser General Public License in COPYING.LGPL for more details.
 */

#ifndef __STARPU_CONFIG_PUBLIC_H__
#define __STARPU_CONFIG_PUBLIC_H__

#define STARPU_MAJOR_VERSION 1
#define STARPU_MINOR_VERSION 0

#define STARPU_USE_CPU 1
/* #undef STARPU_USE_CUDA */
/* #undef STARPU_USE_OPENCL */
/* #undef STARPU_USE_GORDON */

/* #undef STARPU_HAVE_ICC */

#define STARPU_USE_MPI /**/

/* #undef STARPU_ATLAS */
/* #undef STARPU_GOTO */
/* #undef STARPU_MKL */
#define STARPU_SYSTEM_BLAS 1

#define STARPU_BUILD_DIR "/var/build/temp/tmp.H8ES3NAbUN/4.0-0-0/starpu/starpu-1.0.1+dfsg/build"
/* #undef STARPU_OPENCL_DATADIR */
/* #undef STARPU_HAVE_MAGMA */

#define STARPU_OPENGL_RENDER 1
/* #undef STARPU_USE_GTK */
#define STARPU_HAVE_X11 1

#define STARPU_HAVE_POSIX_MEMALIGN 1

#define STARPU_HAVE_MEMALIGN 1

#define STARPU_HAVE_MALLOC_H 1

#define STARPU_HAVE_SYNC_BOOL_COMPARE_AND_SWAP 1
#define STARPU_HAVE_SYNC_FETCH_AND_ADD 1
#define STARPU_HAVE_SYNC_FETCH_AND_OR 1
#define STARPU_HAVE_SYNC_LOCK_TEST_AND_SET 1

/* #undef STARPU_MODEL_DEBUG */
/* #undef STARPU_NO_ASSERT */

#define STARPU_HAVE_FFTW 1
#define STARPU_HAVE_FFTWF 1
#define STARPU_HAVE_FFTWL 1

/* #undef STARPU_HAVE_CURAND */

#define STARPU_MAXNODES 1
#define STARPU_NMAXBUFS 8
#define STARPU_MAXCPUS 64
#define STARPU_MAXCUDADEVS 4
#define STARPU_MAXOPENCLDEVS 8
#define STARPU_NMAXWORKERS 80
#define STARPU_MAXIMPLEMENTATIONS 4

#define STARPU_HAVE_LIBNUMA /**/

/* #undef STARPU_HAVE_WINDOWS */

#ifdef _MSC_VER
typedef long starpu_ssize_t;
#define __starpu_func__ __FUNCTION__
#else
#  include <sys/types.h>
typedef ssize_t starpu_ssize_t;
#define __starpu_func__ __func__
#endif

/* #undef STARPU_SLOW_MACHINE */
#define STARPU_USE_DRAND48 1
#define STARPU_USE_ERAND48_R 1

#endif
